Bug 33685 - Unable to install in the path containing non english letters
Summary: Unable to install in the path containing non english letters
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Win32 MSI Installer (show other bugs)
Version: 2.0.53
Hardware: PC Windows Server 2003
: P2 major with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
: 42954 48342 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-02-22 10:05 UTC by Andrew
Modified: 2018-11-07 21:09 UTC (History)
3 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2005-02-22 10:05:39 UTC
I try to install apache in the path containing russian or japanese letters and
apache doesn't start:
The Apache service named; ; reported the following error:
>>>; Syntax error on line 57 of
C:/\xd0\xa0\xd1\x83\xd1\x81\xd1\x81\xd0\xba\xd0\xb8\xd0\xb5
\xd0\xb1\xd1\x83\xd0\xba\xd0\xb2\xd1\x8b \xd0\xb2
\xd0\xbf\xd1\x83\xd1\x82\xd0\xb8/SWsoft/Plesk/admin/conf/httpd.conf:; ; ; ; ; .

Syntax error on line 57 of C:/\xd0\xa0\xd1\x83\xd1\x81\xd1\x81\xd0\xba\xd0\xb8\x
d0\xb5 \xd0\xb1\xd1\x83\xd0\xba\xd0\xb2\xd1\x8b \xd0\xb2 \xd0\xbf\xd1\x83\xd1\x8
2\xd0\xb8/SWsoft/Plesk/admin/conf/httpd.conf:
ServerRoot must be a valid directory

It appears independently from which OEM or ascii encoding used to write httpd.conf.
Comment 1 William A. Rowe Jr. 2007-12-21 21:01:33 UTC
I need to hack up a unicode entry point for awk to make this work
(accepting unicode command line args).  Just haven't found cycles
to do that.
Comment 2 William A. Rowe Jr. 2007-12-21 21:42:48 UTC
*** Bug 42954 has been marked as a duplicate of this bug. ***
Comment 3 William A. Rowe Jr. 2009-12-07 06:51:19 UTC
*** Bug 48342 has been marked as a duplicate of this bug. ***
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:12 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.